Light Logo
Predictions

Cancel a prediction.

Cancel a prediction by its id. Only predictions that have not yet terminated can be cancelled. Cancellation is asynchronous and the prediction's status will remain unchanged until cancellation takes effect. Requesting cancellation for a prediction that has already been requested for cancellation is idempotent. Attempting to cancel a terminated prediction will return an error.

POST
/predictions/{prediction_id}/cancel
AuthorizationBearer <token>

In: header

Path Parameters

prediction_idPrediction Id

The ID of the prediction to cancel.

Formatuuid

Response Body

curl -X POST "https://api.wrift.ai/v1/predictions/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel"
null
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}